List credentials
curl --request GET \
--url https://api.deck.co/v2/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"external_id": "<string>",
"source_id": "<string>",
"auth_method": "<string>",
"auth_credentials": {
"username": "<string>",
"source_fields": {},
"tokenized": [
"<string>"
]
},
"persistence": {
"enabled": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Credentials
List credentials
Returns a paginated list of credentials. Supports filtering by source, status, and external ID.
GET
/
credentials
List credentials
Authorizations
Secret key (sk_live_...)
Query Parameters
Maximum number of items to return (1-100, default 20)
Cursor from a previous response for pagination.
Unique identifier for the source (prefixed with src_).
Filter by credential status: unverified, verified, invalid, deleted.
Filter by the external ID assigned when creating the credential.
Response
OK
Array of resource objects for the current page.
Show child attributes
Show child attributes
true if there are more results beyond this page.
Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.
Unique identifier for the API request.
Was this page helpful?
⌘I